/*global module:false*/
module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    // Metadata.
    pkg: grunt.file.readJSON('package.json'),

    // Task configuration.
    sass: {
      options: {
        sourceMap: true
      },
      dist: {
        files: {
          'dist/css/<%= pkg.name %>.css': 'src/scss/*.scss'
        }
      }
    },
    
    concat: {
      options: {
        stripBanners: true
      },
      dist: {
        src: ['src/html/header.html', 'src/html/*.html', '!src/html/footer.html', 'src/html/footer.html'],
        dest: 'index.html'
      }
    },

    //uglify: {
      //options: {},
      //dist: {
        //src: '<%= concat.dist.dest %>',
        //dest: 'dist/<%= pkg.name %>.min.js'
      //}
    //},

    watch: {
      files: ['src/**/*'],
      tasks: ['concat', 'sass'],
    }
  });

  // These plugins provide necessary tasks.
  grunt.loadNpmTasks('grunt-contrib-concat');
  grunt.loadNpmTasks('grunt-sass');
  //grunt.loadNpmTasks('grunt-contrib-uglify');
  grunt.loadNpmTasks('grunt-contrib-watch');

  // Default task.
  grunt.registerTask('default', ['concat', 'sass']);

};
